export namespace DrpRpcService {
    namespace subscribeDRP {
        export let path: string;
        export let requestStream: boolean;
        export let responseStream: boolean;
        export let requestType: drp_node_v1_rpc_pb.MessageFns<drp_node_v1_rpc_pb.SubscribeDRPRequest>;
        export let responseType: drp_node_v1_rpc_pb.MessageFns<drp_node_v1_rpc_pb.GenericRespone>;
        export { serialize_drp_node_v1_SubscribeDRPRequest as requestSerialize };
        export { deserialize_drp_node_v1_SubscribeDRPRequest as requestDeserialize };
        export { serialize_drp_node_v1_GenericRespone as responseSerialize };
        export { deserialize_drp_node_v1_GenericRespone as responseDeserialize };
    }
    namespace unsubscribeDRP {
        let path_1: string;
        export { path_1 as path };
        let requestStream_1: boolean;
        export { requestStream_1 as requestStream };
        let responseStream_1: boolean;
        export { responseStream_1 as responseStream };
        let requestType_1: drp_node_v1_rpc_pb.MessageFns<drp_node_v1_rpc_pb.UnsubscribeDRPRequest>;
        export { requestType_1 as requestType };
        let responseType_1: drp_node_v1_rpc_pb.MessageFns<drp_node_v1_rpc_pb.GenericRespone>;
        export { responseType_1 as responseType };
        export { serialize_drp_node_v1_UnsubscribeDRPRequest as requestSerialize };
        export { deserialize_drp_node_v1_UnsubscribeDRPRequest as requestDeserialize };
        export { serialize_drp_node_v1_GenericRespone as responseSerialize };
        export { deserialize_drp_node_v1_GenericRespone as responseDeserialize };
    }
    namespace getDRPHashGraph {
        let path_2: string;
        export { path_2 as path };
        let requestStream_2: boolean;
        export { requestStream_2 as requestStream };
        let responseStream_2: boolean;
        export { responseStream_2 as responseStream };
        let requestType_2: drp_node_v1_rpc_pb.MessageFns<drp_node_v1_rpc_pb.GetDRPHashGraphRequest>;
        export { requestType_2 as requestType };
        let responseType_2: drp_node_v1_rpc_pb.MessageFns<drp_node_v1_rpc_pb.GetDRPHashGraphResponse>;
        export { responseType_2 as responseType };
        export { serialize_drp_node_v1_GetDRPHashGraphRequest as requestSerialize };
        export { deserialize_drp_node_v1_GetDRPHashGraphRequest as requestDeserialize };
        export { serialize_drp_node_v1_GetDRPHashGraphResponse as responseSerialize };
        export { deserialize_drp_node_v1_GetDRPHashGraphResponse as responseDeserialize };
    }
    namespace syncDRPObject {
        let path_3: string;
        export { path_3 as path };
        let requestStream_3: boolean;
        export { requestStream_3 as requestStream };
        let responseStream_3: boolean;
        export { responseStream_3 as responseStream };
        let requestType_3: drp_node_v1_rpc_pb.MessageFns<drp_node_v1_rpc_pb.SyncDRPObjectRequest>;
        export { requestType_3 as requestType };
        let responseType_3: drp_node_v1_rpc_pb.MessageFns<drp_node_v1_rpc_pb.GenericRespone>;
        export { responseType_3 as responseType };
        export { serialize_drp_node_v1_SyncDRPObjectRequest as requestSerialize };
        export { deserialize_drp_node_v1_SyncDRPObjectRequest as requestDeserialize };
        export { serialize_drp_node_v1_GenericRespone as responseSerialize };
        export { deserialize_drp_node_v1_GenericRespone as responseDeserialize };
    }
    namespace sendCustomMessage {
        let path_4: string;
        export { path_4 as path };
        let requestStream_4: boolean;
        export { requestStream_4 as requestStream };
        let responseStream_4: boolean;
        export { responseStream_4 as responseStream };
        let requestType_4: drp_node_v1_rpc_pb.MessageFns<drp_node_v1_rpc_pb.SendCustomMessageRequest>;
        export { requestType_4 as requestType };
        let responseType_4: drp_node_v1_rpc_pb.MessageFns<drp_node_v1_rpc_pb.GenericRespone>;
        export { responseType_4 as responseType };
        export { serialize_drp_node_v1_SendCustomMessageRequest as requestSerialize };
        export { deserialize_drp_node_v1_SendCustomMessageRequest as requestDeserialize };
        export { serialize_drp_node_v1_GenericRespone as responseSerialize };
        export { deserialize_drp_node_v1_GenericRespone as responseDeserialize };
    }
    namespace sendGroupMessage {
        let path_5: string;
        export { path_5 as path };
        let requestStream_5: boolean;
        export { requestStream_5 as requestStream };
        let responseStream_5: boolean;
        export { responseStream_5 as responseStream };
        let requestType_5: drp_node_v1_rpc_pb.MessageFns<drp_node_v1_rpc_pb.SendGroupMessageRequest>;
        export { requestType_5 as requestType };
        let responseType_5: drp_node_v1_rpc_pb.MessageFns<drp_node_v1_rpc_pb.GenericRespone>;
        export { responseType_5 as responseType };
        export { serialize_drp_node_v1_SendGroupMessageRequest as requestSerialize };
        export { deserialize_drp_node_v1_SendGroupMessageRequest as requestDeserialize };
        export { serialize_drp_node_v1_GenericRespone as responseSerialize };
        export { deserialize_drp_node_v1_GenericRespone as responseDeserialize };
    }
    namespace addCustomGroup {
        let path_6: string;
        export { path_6 as path };
        let requestStream_6: boolean;
        export { requestStream_6 as requestStream };
        let responseStream_6: boolean;
        export { responseStream_6 as responseStream };
        let requestType_6: drp_node_v1_rpc_pb.MessageFns<drp_node_v1_rpc_pb.AddCustomGroupRequest>;
        export { requestType_6 as requestType };
        let responseType_6: drp_node_v1_rpc_pb.MessageFns<drp_node_v1_rpc_pb.GenericRespone>;
        export { responseType_6 as responseType };
        export { serialize_drp_node_v1_AddCustomGroupRequest as requestSerialize };
        export { deserialize_drp_node_v1_AddCustomGroupRequest as requestDeserialize };
        export { serialize_drp_node_v1_GenericRespone as responseSerialize };
        export { deserialize_drp_node_v1_GenericRespone as responseDeserialize };
    }
}
import * as drp_node_v1_rpc_pb from './rpc_pb.ts';
declare function serialize_drp_node_v1_SubscribeDRPRequest(arg: any): Buffer<Uint8Array<ArrayBufferLike>>;
declare function deserialize_drp_node_v1_SubscribeDRPRequest(buffer_arg: any): drp_node_v1_rpc_pb.SubscribeDRPRequest;
declare function serialize_drp_node_v1_GenericRespone(arg: any): Buffer<Uint8Array<ArrayBufferLike>>;
declare function deserialize_drp_node_v1_GenericRespone(buffer_arg: any): drp_node_v1_rpc_pb.GenericRespone;
declare function serialize_drp_node_v1_UnsubscribeDRPRequest(arg: any): Buffer<Uint8Array<ArrayBufferLike>>;
declare function deserialize_drp_node_v1_UnsubscribeDRPRequest(buffer_arg: any): drp_node_v1_rpc_pb.UnsubscribeDRPRequest;
declare function serialize_drp_node_v1_GetDRPHashGraphRequest(arg: any): Buffer<Uint8Array<ArrayBufferLike>>;
declare function deserialize_drp_node_v1_GetDRPHashGraphRequest(buffer_arg: any): drp_node_v1_rpc_pb.GetDRPHashGraphRequest;
declare function serialize_drp_node_v1_GetDRPHashGraphResponse(arg: any): Buffer<Uint8Array<ArrayBufferLike>>;
declare function deserialize_drp_node_v1_GetDRPHashGraphResponse(buffer_arg: any): drp_node_v1_rpc_pb.GetDRPHashGraphResponse;
declare function serialize_drp_node_v1_SyncDRPObjectRequest(arg: any): Buffer<Uint8Array<ArrayBufferLike>>;
declare function deserialize_drp_node_v1_SyncDRPObjectRequest(buffer_arg: any): drp_node_v1_rpc_pb.SyncDRPObjectRequest;
declare function serialize_drp_node_v1_SendCustomMessageRequest(arg: any): Buffer<Uint8Array<ArrayBufferLike>>;
declare function deserialize_drp_node_v1_SendCustomMessageRequest(buffer_arg: any): drp_node_v1_rpc_pb.SendCustomMessageRequest;
declare function serialize_drp_node_v1_SendGroupMessageRequest(arg: any): Buffer<Uint8Array<ArrayBufferLike>>;
declare function deserialize_drp_node_v1_SendGroupMessageRequest(buffer_arg: any): drp_node_v1_rpc_pb.SendGroupMessageRequest;
declare function serialize_drp_node_v1_AddCustomGroupRequest(arg: any): Buffer<Uint8Array<ArrayBufferLike>>;
declare function deserialize_drp_node_v1_AddCustomGroupRequest(buffer_arg: any): drp_node_v1_rpc_pb.AddCustomGroupRequest;
export {};
//# sourceMappingURL=rpc_grpc_pb.d.ts.map